// Programming techniques
//
// Test unit for the user-defined library:
// "Common Functions"
// --------------------------------------

#include <iostream>
#include <iomanip>
#include "common_functions.cpp"

using namespace std;

int main()
{
    int id=0,im=70;
    double gr,ra,grad,ded,asec=70.;
    
    cout<<"\n\tGrad\t Rad\t   Ddeg\t      D     M     Sec\t     Grad\n";  
    cout<<fixed<<setprecision(5);  
    for (int k=0;k<23;k++) {
        gr=k*21.3456-50.87;
        ra=grad2rad(gr);
        grad=rad2grad(ra);
        ded=rad2ddeg(ra);
        rad2sdeg(ra,id,im,asec);
        cout<<setw(12)<<gr<<setw(10)<<ra<<setw(12)<<ded<<setw(6)<<id;
        cout<<setw(5)<<im<<setw(10)<<asec<<setw(12)<<grad<<endl;
        }
    system("pause");
    return 0;
}
    
